close

[Solved] error: command ‘gcc’ failed with exit status 1 while installing eventlet

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error error: command ‘gcc’ failed with exit status 1 while installing eventlet in python. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How error: command ‘gcc’ failed with exit status 1 while installing eventlet Error Occurs?

Today I get the following error error: command ‘gcc’ failed with exit status 1 while installing eventlet in python.

How To Solve error: command ‘gcc’ failed with exit status 1 while installing eventlet Error ?

  1. How To Solve error: command 'gcc' failed with exit status 1 while installing eventlet Error ?

    To Solve error: command 'gcc' failed with exit status 1 while installing eventlet Error Your install is failing because you don't have the python development headers installed. You can do this through apt on ubuntu/debian with:

  2. error: command 'gcc' failed with exit status 1 while installing eventlet

    To Solve error: command 'gcc' failed with exit status 1 while installing eventlet Error Your install is failing because you don't have the python development headers installed. You can do this through apt on ubuntu/debian with:

Solution 1

For Redhat Versions(Centos 7) Use the below command to install Python Development Package

Python 2.7

sudo yum install python-dev

Python 3.4

sudo yum install python34-devel

Python 3.6

sudo yum install python36-devel

If the issue is still not resolved then try installing the below packages –

sudo yum install python-devel

sudo yum install openssl-devel

Solution 2

Your install is failing because you don’t have the python development headers installed. You can do this through apt on ubuntu/debian with:

sudo apt-get install python-dev 

for python3 use:

sudo apt-get install python3-dev

For eventlet you might also need the libevent libraries installed so if you get an error talking about that you can install libevent with:

sudo apt-get install libevent-dev

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read